Package de.gebit.integrity.ui.search

## Class DefaultIntegritySearch

- java.lang.Object
- - de.gebit.integrity.ui.search.DefaultIntegritySearch

- All Implemented Interfaces:
    `IntegritySearch`

      public class DefaultIntegritySearch
      extends Object
      implements IntegritySearch

  The default implementation of `IntegritySearch`.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultIntegritySearch()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SuiteDefinition[]` | `findSuiteDefinitionByName​(String aSuiteName)` | Finds a suite definition by name (fullyqualified or part of the suite name).
    `org.eclipse.ui.IEditorPart` | `openSuiteDefinitionByName​(String aSuiteName, boolean aSelectFlag)` | Opens a suite definition by given suite name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultIntegritySearch

          public DefaultIntegritySearch()

  - ### Method Detail

    - #### findSuiteDefinitionByName

          public SuiteDefinition[] findSuiteDefinitionByName​(String aSuiteName)

      Description copied from interface: `IntegritySearch`
      Finds a suite definition by name (fullyqualified or part of the suite name).
      Specified by:
        `findSuiteDefinitionByName` in interface `IntegritySearch`
      Parameters:
        `aSuiteName` - fully qualified suite name or part of the suite name
      Returns:
        the matching suites

    - #### openSuiteDefinitionByName

          public org.eclipse.ui.IEditorPart openSuiteDefinitionByName​(String aSuiteName,
                                                                      boolean aSelectFlag)

      Description copied from interface: `IntegritySearch`
      Opens a suite definition by given suite name. This calls `IntegritySearch.findSuiteDefinitionByName(String)` and opens the editor for the first match.
      Specified by:
        `openSuiteDefinitionByName` in interface `IntegritySearch`
      Parameters:
        `aSuiteName` - the suite name to open (or part of)
        `aSelectFlag` - whether the suite name shall be jumped to and selected
      Returns:
        the opened editor or null